> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mintlify-f27640bd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all supported runtimes

> Lists all supported runtimes and the included NPM packages for Browser checks and setup & teardown scripts for API checks.



## OpenAPI

````yaml get /v1/runtimes
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/runtimes:
    get:
      tags:
        - Runtimes
      summary: Lists all supported runtimes
      description: >-
        Lists all supported runtimes and the included NPM packages for Browser
        checks and setup & teardown scripts for API checks.
      operationId: getV1Runtimes
      parameters:
        - schema:
            type: string
            x-format:
              guid: true
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeList'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    RuntimeList:
      type: array
      items:
        $ref: '#/components/schemas/Runtime'
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    Runtime:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          description: The unique name of this runtime.
        multiStepSupport:
          type: boolean
          description: Whether this runtime supports multi-step checks.
        nodeJsVersion:
          type: string
          minLength: 1
          description: The full Node.js version available in this runtime.
        stage:
          $ref: '#/components/schemas/RuntimeStage'
        runtimeEndOfLife:
          type: string
          minLength: 1
          description: Date which a runtime will be removed from our platform.
          example: 12/31/2022
        description:
          type: string
          minLength: 1
          description: >-
            A short, human readable description of the main updates in this
            runtime.
          example: Main updates are Playwright 1.58.2
        dependencies:
          $ref: '#/components/schemas/RuntimeDependencies'
      required:
        - name
        - multiStepSupport
        - nodeJsVersion
        - dependencies
    Model2:
      type: string
      enum:
        - Too Many Requests
    attributes:
      type: object
    RuntimeStage:
      type: string
      enum:
        - ALPHA
        - BETA
        - CURRENT
        - DEPRECATED
        - REMOVED
        - STABLE
      description: Current life stage of a runtime.
      example: STABLE
    RuntimeDependencies:
      type: object
      additionalProperties:
        type: string
        minLength: 1
      description: >-
        An object with all dependency package names and versions as in a
        standard package.json.
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````